{
  "openapi": "3.0.3",
  "info": {
    "title": "morning API Documentation",
    "description": "## Getting Started\n\nWelcome to the morning API.\n\n### About morning\n\nMorning is a business management platform that helps companies manage invoicing, accounting, payments, and their overall financial operations.\n\nThe Morning API provides programmatic access to the platform, enabling you to automate workflows and seamlessly integrate Morning's capabilities into your own applications.\n\nThe API is built around REST principles and uses standard HTTP methods and status codes. All API communication is conducted over HTTPS, and all request and response bodies are JSON-encoded.\n\nAuthentication is implemented using OAuth 2.0, providing secure, token-based authorization. Applications obtain access tokens that must be included in API requests to securely access Morning resources according to granted permissions.\n\n## Environments\n\nWe provide two environments for API development:\n\n**Production** - Live operations with real data.\n\n**Sandbox** - Testing and development. No real data is affected.\n\nEach environment requires its own set of API keys.\n\nWe recommend building and testing your integration in the sandbox environment before switching to production.\n\nBase URLs:",
    "version": "2.0.0"
  },
  "servers": [
    {
      "url": "https://api.greeninvoice.co.il/api/v1",
      "description": "Production"
    },
    {
      "url": "https://sandbox.d.greeninvoice.co.il/api/v1",
      "description": "Sandbox"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Authentication",
      "description": "Our APIs use the **OAuth 2.0 protocol** for authentication and authorization.\n\nTo get started:\n1. Obtain your API keys (OAuth 2.0 client credentials) for your relevant business as explained [here](https://support.greeninvoice.co.il/kb/he/article/%D7%90%D7%99%D7%9A-%D7%9C%D7%99%D7%A6%D7%95%D7%A8-%D7%9E%D7%A4%D7%AA%D7%97%D7%95%D7%AA-api) (Hebrew).\n2. Request an access token from our authentication server using the endpoint below.\n3. Include the returned `accessToken` as a `Bearer` token in the `Authorization` header of all subsequent API requests:\n```\nAuthorization: Bearer <accessToken>\n```"
    },
    {
      "name": "Documents",
      "description": "Create and manage business documents such as invoices, receipts, quotes, credit notes, and more.\n\nEach document is associated with a specific business and includes income rows, payment rows, and client information."
    },
    {
      "name": "Items",
      "description": "While generating documents you are usually requested to add items.\n\nItems are products that are bought from you, it can be either a real product (such as electronic device, restaurant dish) or a virtual service (such as a programmer hour).\n\nTo ease the process of entering the same item on multiple documents you are able to create an item once and use it various times later while creating a document."
    },
    {
      "name": "Clients",
      "description": "Create and manage clients — the customers you sell to and invoice."
    },
    {
      "name": "Suppliers",
      "description": "Create and manage suppliers — the businesses and individuals you buy from."
    },
    {
      "name": "Expenses",
      "description": "Track and manage your business expenses — the money your business spends on purchases and services.\n\nYou can create an expense in two ways:\n\n- **Without a file** — the expense is created immediately and is ready to use.\n- **With a file** (such as a receipt or invoice) — the upload first becomes an **expense draft**. Review the draft, then approve it to turn it into a regular expense.\n\nA draft is simply a pending expense waiting for your approval; until then, it isn't counted as an actual expense."
    },
    {
      "name": "Payments",
      "description": "Collect payments from your customers — generate a hosted payment form to share with a customer, and manage and charge saved credit-card tokens."
    },
    {
      "name": "Partners",
      "description": "> - Performing actions in user accounts is restricted to **existing users in morning with a `Best` subscription plan or higher**.\n> - Currently, partners are unable to create new user accounts.\n\nTo use the Partners endpoints you must be a Green Invoice partner. Contact Green Invoice to obtain your partner authorization code.\n\nA Green Invoice partner can connect third-party applications to Green Invoice and control connected users through their application.\n\n**How it works — 3 steps:**\n\n1. **Request authorization** from an existing morning by Green Invoice user. Call `POST /partners/users/connection` — the user receives an email with a connection approval link valid for 3 days. Once approved, Green Invoice sends a `POST` request to the `url` you specified. Its body contains the connected user's `id`, `email`, and a `key` object holding the business's newly created API key (its `id` and `secret`) — store the key securely, as you exchange it for an access token in step 2.\n2. **Obtain a JWT** for the user by calling [`POST /idp/v1/oauth/token`](#tag/Authentication/operation/obtainAccessToken) with the user's API key ID as `client_id` and the secret as `client_secret`.\n3. **Control the user** by using the returned `accessToken` as a `Bearer` token in the `Authorization` header of any subsequent API request.\n\n**Security note:** The approval callback includes an `X-Data-Signature` header — the SHA-256 HMAC of the request body, signed with your partner authorization code as the key. Compare it against your own HMAC computation to verify the callback's authenticity. This step is optional but recommended.\n\n> **Note:** An inactive partner account will result in a `403 Forbidden` response."
    },
    {
      "name": "Webhooks",
      "description": "Webhooks let your application receive real-time notifications when events happen in morning — for example, when a document is created.\n\nUnlike the rest of the API, webhooks are **configured in the morning interface**, not through an API call:\n\n1. In morning, open **[Developer Tools → Webhooks](https://app.greeninvoice.co.il/settings/developers/webhooks)**.\n2. Click **Add Webhook**, give it a name, and enter the **URL** on your server that should receive the notifications.\n3. Choose one or more **events** to subscribe to. Optionally, set a **secret** used to sign every delivery so you can verify it came from morning (see **Verifying deliveries** below). Then save.\n\nOnce saved, every subscribed event triggers an HTTP `POST` to your URL with a JSON body describing the event.\n\n**Delivery headers**\n\nEvery delivery includes the following headers:\n\n| Header | Description |\n|--------|-------------|\n| `x-webhook-topic` | The event type, e.g. `document/created`. |\n| `x-webhook-id` | Identifier of the webhook configuration that produced the delivery. |\n| `x-webhook-delivery-id` | Unique identifier of this specific delivery. |\n| `x-webhook-timestamp` | Time the event was emitted, in ISO 8601 format. |\n| `x-correlation-id` | Correlation identifier, useful for support and debugging. |\n| `user-agent` | Always `morning webhooks` followed by the version, e.g. `morning webhooks 2.1`. |\n| `x-webhook-signature` | Present only when the webhook is configured with a secret — an HMAC-SHA256 signature of the delivered body. See **Verifying deliveries** below. |\n\n**Verifying deliveries**\n\nWhen a webhook has a **secret**, every delivery carries an `x-webhook-signature` header — the HMAC-SHA256 of the raw request body, keyed with your secret, hex-encoded.\n\nTo verify, compute the same HMAC over the **raw** received bytes and compare with a constant-time comparison. Capture the raw body before any JSON parsing — re-serializing parsed JSON changes the bytes and breaks the signature.\n\nExample (Node.js / Express):\n\n```js\nconst crypto = require('crypto');\nconst express = require('express');\nconst app = express();\n\n// Capture the raw body exactly as received — do NOT let a JSON parser re-serialize it.\napp.use(express.raw({ type: 'application/json' }));\n\napp.post('/webhook', (req, res) => {\n    const rawBody = req.body; // Buffer of the exact bytes received\n    const signature = req.get('x-webhook-signature');\n    const expected = crypto.createHmac('sha256', secret).update(rawBody).digest('hex');\n\n    const isValid = signature &&\n        crypto.timingSafeEqual(Buffer.from(expected), Buffer.from(signature));\n    if (!isValid) return res.status(401).send('invalid signature');\n\n    const event = JSON.parse(rawBody.toString('utf8'));\n    // ... handle the event\n    res.sendStatus(200);\n});\n```\n\n**Delivery failures**\n\nAcknowledge each delivery by responding with one of `200`, `201`, `202`, or `204`. Any other response — including `3xx` redirects and other status codes — is treated as a failed delivery, as are timeouts and connection errors.\n\nFailed deliveries are counted; after 15 failures the webhook becomes inactive and stops receiving events.\n\n**Available events**\n\n| Event | Triggered when |\n|-------|----------------|\n| `document/created` | A document is created. |\n| `client/created` | A client is created. |\n| `supplier/created` | A supplier is created. |\n| `payment/received` | A payment is received. |\n| `sale-pages/page-contacted` | A visitor submits their contact details on a sale page. |\n| `sale-pages/order-paid` | An order is paid on a sale page. |\n| `expense-draft/parsed` | An uploaded expense draft finishes parsing. |\n| `expense-draft/declined` | An uploaded expense draft is declined. |\n| `expense/file-updated` | An expense's file is updated. |\n| `file/infected` | An uploaded file is found to be infected and quarantined. |"
    },
    {
      "name": "Reference",
      "description": "Reference data endpoints — lookup values such as supported countries, currencies, and business categories.\n\n> **Note:** All endpoints under **Reference** are served from the shared cache host (`cache.greeninvoice.co.il`), which is the same across all environments — there is no separate sandbox host. Authentication is not required."
    },
    {
      "name": "Errors",
      "description": "Green Invoice system is in Hebrew language and therefore the errors you will receive are in Hebrew.\n\nWe have added a list for you to view of the error code numbers and their descriptions (the descriptions are in Hebrew).\n\n| Error Code | Description |\n|------------|-------------|\n| 401 | גישה נדחתה, נא להתחבר מחדש. |\n| 1002 | שדה שם ריק. |\n| 1003 | לא נמצא עסק פעיל בחשבון. |\n| 1004 | Empty request body or invalid JSON. |\n| 1005 | שגיאה במהלך שמירה. |\n| 1006 | נא לחדש את המינוי. |\n| 1007 | חסרה הרשאה מתאימה. |\n| 403 | גישה אסורה. |\n| 404 | פריט לא נמצא. |\n| 405 | Method Not Allowed. |\n| 1008 | פריט לא עודכן, כיוון שלא בוצעו שינויים. |\n| 1009 | יש לבחור כתובות מייל. |\n| 1010 | קיימת כבר בקשה עם נתונים זהים. |\n| 1011 | שפה לא נתמכת. |\n| 1012 | פעולה זו נתמכת במינוי גבוה יותר. |\n| 1013 | קובץ ריק או לא תקין. |\n| 1014 | סוג קובץ לא נתמך. |\n| 1015 | יש להסדיר את החוב בחשבון על מנת לבצע את הפעולה. |\n| 1016 | שגיאה בעדכון בסיס נתונים. |\n| 1017 | שגיאה כללית. |\n| 1018 | שגיאה בשליחת מייל. יתכן וכתובת המייל חסומה או לא תקינה. |\n| 1019 | כתובת המייל של הנמען חסומה לשליחה. |\n| 1020 | שגיאת הצפנה. |\n| 1100 | שדה {id} לא תקין |\n| 1101 | לא נשלחו שדות לעדכון. |\n| 1102 | כתובת מייל לא תקינה. |\n| 1103 | כתובת אתר לא תקינה. |\n| 1104 | קוד מדינה לא תקין. |\n| 1105 | ערך תנאי תשלום לא תקין. |\n| 1106 | ערך קוד מטבע לא תקין. |\n| 1107 | שער המרה לא תקין, ערך צריך להיות גדול מאפס. |\n| 1108 | שיעור מע\"מ לא תקין. צריך להיות בין 0-1. |\n| 1109 | קיימת שורה עם מע\"מ במסמך ללא מע\"מ. |\n| 1110 | מחיר לא תקין. |\n| 2000 | החשבון עדיין לא פעיל. |\n| 2001 | משתמש חסום. |\n| 2002 | מייל או סיסמה לא נכונים. |\n| 2003 | משתמש לא קיים. |\n| 2004 | נא למלא שם פרטי. |\n| 2005 | נא למלא שם משפחה. |\n| 2006 | סיסמה לא תקינה. צריכה להיות 8-16 ספרות או תווים. |\n| 2007 | מייל תפוס. |\n| 2008 | סיסמה נוכחית לא נכונה. |\n| 2009 | מספר ת.ז. לא תקין. |\n| 2010 | החשבון כבר הופעל. |\n| 2012 | ערך id לא תקין. |\n| 2013 | ערך type לא תקין. |\n| 2014 | נתוני מפתח לא נכונים. |\n| 1111 | מספר עוסק / ח.פ אינו תקין. |\n| 1112 | לא ניתן להוסיף מסמכים. בחודש זה הופקה כמות המסמכים המירבית לחשבון. |\n| 1113 | שדה תקבול לא נשלח. |\n| 1114 | תאריך התחלה לא תקין. |\n| 1115 | תאריך סיום לא תקין. |\n| 1116 | סכום מע״מ לא תקין. |\n| 1117 | תאריך לא תקין. |\n| 1118 | לא ניתן לרכוש שירותים נוספים ללא מסלול פעיל בתשלום. |\n| 1119 | גודל עמוד צריך להיות לכל היותר 100. |\n| 1120 | כתובת הדומיין של המייל לא תקינה. |\n| 2100 | סוג עוסק לא תקין. |\n| 2101 | שם העסק לא יכול להיות ריק. |\n| 2102 | לא ניתן להוסיף עוד עסקים במסגרת המינוי. |\n| 2103 | נא למלא כתובת עסק. |\n| 2104 | נא למלא עיר. |\n| 2105 | קובץ לא תקין או גדול מ 5M. |\n| 2106 | סוג קובץ לא נתמך. |\n| 2107 | מספר תבנית עיצוב לא תקין. |\n| 2125 | מספר סקין בתבנית עיצוב לא תקין. |\n| 2126 | אחוז מקדמות אינו תקין. ערך תקין הוא מספר בין 0-35. |\n| 2127 | ערך תחום עיסוק לא תקין. |\n| 2128 | ערך מקצוע לא תקין. |\n| 2129 | ערך סדר עיצוב שדות תקבולים במסמך לא תקין. |\n| 2108 | לא נמצא עסק. |\n| 2109 | מספר סניף בנק יכול להכיל עד 5 תווים. |\n| 2110 | עסק עם שם זהה כבר רשום בחשבון. |\n| 2111 | מספר עוסק / ח.פ כבר קיים בחשבון. |\n| 2112 | מספר עוסק / ח.פ כבר קיים במערכת תחת חשבון אחר. |\n| 2113 | מספר עוסק / ח.פ כבר רשום בחשבון פעמיים. ניתן עד להקים עד 2 עסקים עם אותו מספר עוסק. |\n| 2114 | מספר תיק ניכויים אינו תקין. |\n| 2115 | אחוז ניכוי במקור אינו תקין. ערך תקין הוא מספר בין 0-35. |\n| 2116 | ערך שיטת דיווח לא תקין. |\n| 2117 | ניתן להוסיף עד 3 כתובות מייל להנהלת חשבונות. |\n| 2118 | חלק מההשדות לא עודכנו. קיים עסק נוסף עם מספר עוסק זהה ולכן חייב להישמר ביניהם טווח הפרש של לפחות 8,000. |\n| 2119 | מספור מסמך לא תקין. ערכים תקינים בין 1-999999999. |\n| 2120 | שדה {types} לא נשלח. |\n| 2121 | לא ניתן לעדכן מספור זה מאחר וכבר הופקו מסמכים בשנה זו. |\n| 2122 | לא ניתן לבצע פעולה זו בעסק מוקפא. |\n| 2123 | ערך {id} לא תקין של העסק |\n| 2124 | תוכן בתחתית המסמך מוגבל ל-2000 תווים. |\n| 2200 | ניתן להוסיף עד 3 כתובות מייל ללקוח. |\n| 2201 | נא למלא שם לקוח. |\n| 2202 | לא ניתן לאחד לקוח פעיל. |\n| 2203 | לא ניתן למחוק לקוח שהופקו עבורו מסמכים. |\n| 2204 | שדה {id} של לקוח מטרה לא נשלח. |\n| 2205 | לא נמצאו לקוחות חדשים או שהקובץ המיובא אינו תקין. |\n| 2206 | ניתן להוסיף עד 3 תגיות ללקוח. |\n| 2207 | קובץ לא תקין או גדול מ 5M. |\n| 2208 | יתרה לא תקינה. |\n| 2209 | הכנסות לא תקינות. |\n| 2210 | לא ניתן למחוק לקוח בעל כרטיסי אשראי שמורים. |\n| 2250 | ניתן להוסיף עד 3 כתובות מייל לספק. |\n| 2251 | נא למלא שם ספק. |\n| 2252 | לא ניתן לאחד ספק פעיל. |\n| 2253 | לא ניתן למחוק ספק ששויכו אליו הוצאות. |\n| 2254 | שדה {id} של ספק מטרה לא נשלח. |\n| 2255 | לא נמצאו ספקים חדשים ותקינים בקובץ היבוא. |\n| 2256 | ניתן להוסיף עד 3 תגיות ללקוח. |\n| 2257 | קובץ לא תקין או גדול מ 5M. |\n| 2258 | יתרה לא תקינה. |\n| 2259 | הכנסות לא תקינות. |\n| 2300 | נא למלא שם פריט. |\n| 2301 | נא למלא תיאור פריט. |\n| 2302 | לא נמצאו פריטים חדשים ותקינים בקובץ היבוא. |\n| 2305 | קובץ לא תקין או גדול מ 5M. |\n| 2400 | לא ניתן לסגור מסמך שאינו פתוח. |\n| 2401 | לא ניתן לפתוח מסמך שאינו סגור ידנית. |\n| 2402 | שדה {ids} לא נשלח או לא תקין. |\n| 2403 | סוג מסמך לא נשלח או אינו נתמך עבור סוג עסק זה. |\n| 2404 | Invalid or missing {linkType} field. Can be only (copy\\|cancel\\|link). |\n| 2405 | התאריך שנבחר עתידי או מוקדם מדי לסוג מסמך זה. |\n| 2406 | ערך שפה לא תקין. |\n| 2407 | ערך קוד מטבע לא תקין. |\n| 2408 | תאריך לתשלום עד לא תקין. |\n| 2409 | סוג מע\"מ לא תקין. |\n| 2410 | שדה לקוח {client} חסר. |\n| 2411 | לקוח לא קיים. |\n| 2412 | חשבונית עצמית יכולה להיות מופקת רק עם סוג חשבונית מס. |\n| 2413 | נא למלא לפחות שירות או פריט אחד. |\n| 2414 | סכום תשלום לא תקין. צריך להיות מספר עשרוני. |\n| 2415 | תיאור שורה לא יכול להיות ריק. |\n| 2416 | סכום מסמך לא תקין. צריך להיות שונה מאפס. |\n| 2417 | סכום מסמך לא תקין. צריך להיות גדול מאפס. |\n| 2418 | סכום מסמך לא תקין. צריך להיות גדול או שווה לאפס. |\n| 2419 | נא למלא לפחות שורת תקבולים אחת. |\n| 2420 | Invalid discount type. Can be 'sum' or 'percentage'. |\n| 2421 | קוד סוג תשלום לא תקין. |\n| 2422 | קיים חוסר התאמה בין סכום התקבולים לסכום התשלומים. |\n| 2423 | סוג כרטיס אשראי לא תקין. |\n| 2424 | קוד סוג עסקה לא תקין. |\n| 2425 | מספר תשלומים יכול להיות רק 1-36. |\n| 2426 | תאריך תקבול ריק, עתידי או לא תקין. |\n| 2427 | לא ניתן לשלוח במייל מסמך שלא נחתם דיגיטלית. |\n| 2428 | נא למלא שורת תקבולים אחת לפחות בנוסף לניכוי במקור. |\n| 2429 | מסמך מקושר לא נמצא. |\n| 2430 | ערך כמות צריך להיות גדול מ 1. |\n| 2431 | כמות מירבית מותרת של שורות הכנסה / תשלום היא 200 למסמך. |\n| 2432 | סוג עותק מסמך לא נתמך. |\n| 2433 | סוג סטטוס הפצת מייל לא נתמך. |\n| 2434 | ערך סכום תקבול צריך להיות שונה מ 0. |\n| 2435 | ערך טקסט הערות לא תקין. |\n| 2436 | ערך טקסט תחתון לא תקין. |\n| 2437 | ערך שליחת מסמך במייל לא תקין. |\n| 2500 | כתובת לא תקינה. |\n| 2501 | קטגוריה חסרה. |\n| 2502 | כותרת חסרה. |\n| 2503 | כתובת חסרה. |\n| 2504 | רשימת מיון ריקה. |\n| 2600 | לא נמצא מסוף סליקה פעיל. |\n| 2601 | קיימת בעיה בחיוב אשראי, נא ליצור קשר עם התמיכה. |\n| 2602 | שגיאה בחיבור תוסף. |\n| 2603 | שגיאה בחיוב כרטיס אשראי. |\n| 2604 | ערך flow לא תקין. |\n| 2605 | לא נשלח תוכן מסמך. |\n| 2606 | שגיאה בשינוי סטטוס מסוף. |\n| 2607 | סוג טוקן לא תקין. |\n| 2608 | 4 ספרות של כרטיס אשראי אינם תקינים. |\n| 2609 | סוג מזהה עסקה לא תקין. |\n| 2610 | סכום תשלום לא תקין. צריך להיות גדול מאפס. |\n| 2611 | שגיאת אשראי. |\n| 2612 | מזהה עסקה לא תקין. |\n| 2613 | סוג סטטוס עסקה לא תקין. |\n| 2614 | שדה מותאם אישית לא תקין. |\n| 2615 | לא ניתן לבטל עסקה שבוטלה. |\n| 2616 | לא ניתן לבטל עסקה, נא לבצע זיכוי. |\n| 2617 | לא ניתן לזכות עסקה. |\n| 2618 | לא ניתן לבטל עסקה שבוטלה. |\n| 2619 | שדה סוג חיוב לא תקין |\n| 2620 | בקשה הושלמה בעבר. |\n| 2621 | לא ניתן לבטל או לזכות עסקה. |\n| 2622 | שם בעל כרטיס לא תקין. |\n| 2623 | תוקף כרטיס לא תקין. |\n| 2624 | לא ניתן לזכות עסקה בסכום גדול מהסכום המקורי. |\n| 2625 | לתוסף שנבחר אין הרשאה לשמירת כרטיסי אשראי. |\n| 2626 | שם משלם לא תקין. |\n| 2627 | כרטיס אשראי שמור לא קיים או לא פעיל. |\n| 2700 | מפתח API לא תקין. |\n| 2701 | מצב מפתח API לא תקין. |\n| 2702 | סוג מפתח דורש הזדהות נוספת. |\n| 2800 | קוד חשבון ריק. |\n| 2801 | סוג ממשק לא ניתן לסנכרון. |\n| 2802 | סוג ממשק חיצוני לא תקין. |\n| 2803 | שגיאת התחברות לממשק חיצוני. |\n| 2804 | שגיאת תוסף. |\n| 2805 | תוסף לא פעיל. |\n| 2900 | תאריך התחלה לא תקין. |\n| 2901 | תאריך סיום לא תקין או שאינו מאפשר לפחות הפקת מסמך אחד. |\n| 2902 | תקופת חזרה לא תקינה. |\n| 2903 | סטטוס ריטיינר לא תקין. |\n| 2904 | תאריך ריטיינר לא תקין. |\n| 3000 | שגיאה כללית. |\n| 3001 | לא קיים כרטיס אשראי בחשבון. |\n| 3002 | סוג המינוי שנשלח לא קיים. |\n| 4000 | סוג נתונים לא תקין. |\n| 3003 | סוג פעולה לא נתמך. |\n| 3004 | שדה אחד או יותר חסרים. |\n| 3005 | מינוי זהה קיים בחשבון. |\n| 3006 | מכסת ההרשמות היומית הסתיימה. נסו שוב מחר או פנו למנהל תיק הלקוח שלכם להגדלת המכסה היומית. |\n| 3007 | מכסת החיבורים היומית הסתיימה. נסו שוב מחר או פנו למנהל תיק הלקוח שלכם להגדלת המכסה היומית. |\n| 3008 | לא ניתן להפעיל את החיבור. |\n| 3009 | סוג טרנזאקציה לא נתמכת. |\n| 3010 | קיים חוב בחשבון. נא להסדיר את החוב לפני רכישת מינוי חדש. |\n| 3100 | שם תגית ריק. |\n| 3101 | אורך מקסימלי של תגית אפשרי עד 30 תווים. |\n| 3200 | סוג משימה לא נתמך. |\n| 3300 | סוג סטטוס הוצאה לא נתמך. |\n| 3301 | סכום הוצאה לא תקין. |\n| 3302 | סכום מע״מ בהוצאה לא תקין. |\n| 3303 | נא לצרף קובץ עבור ההוצאה. |\n| 3304 | סוג טיוטת הוצאה לא נתמך. |\n| 3305 | טיוטת הוצאה מקושרת לא נמצאה. |\n| 3306 | מספר מסמך הוצאה לא תקין. |\n| 3307 | תאריך מסמך הוצאה לא תקין. |\n| 3308 | סוג מסמך הוצאה לא תקין. |\n| 3309 | לא ניתן לסווג מסמכי הכנסה של העסק כהוצאה. |\n| 3310 | חודש דיווח לא תקין. |\n| 3311 | נא למלא פרטי ספק. |\n| 3312 | נא למלא פרטי סוג הוצאה. |\n| 3313 | שדה expenseIds לא תקין. |\n| 3314 | לא ניתן לעדכן הוצאה לאחר שדווחה. |\n| 3315 | לא ניתן לפתוח הוצאה שלא דווחה. |\n| 3316 | לא ניתן לסגור הוצאה שאינה פתוחה. |\n| 3317 | סוג אמצעי התשלום של ההוצאה לא תקין. |\n| 3318 | מיקום משרד לא תקין. |\n| 3319 | מספר חדרים לא תקין. |\n| 3320 | מספר רכב לא תקין. |\n| 3400 | נא למלא כותרת לחשבון. |\n| 3401 | שיעור הוצאה מוכרת לא תקין. |\n| 3402 | שיעור מע״מ מוכר לא תקין. |\n| 3403 | סוג ההוצאה לא תקין. |\n| 3404 | קוד 6111 לא תקין. |\n| 3405 | לא ניתן למחוק סוג הוצאה ששויכו אליו הוצאות. |"
    }
  ],
  "paths": {
    "/idp/v1/oauth/token": {
      "servers": [
        {
          "url": "https://api.morning.co",
          "description": "Production"
        },
        {
          "url": "https://api.sandbox.morning.dev",
          "description": "Sandbox"
        }
      ],
      "post": {
        "tags": [
          "Authentication"
        ],
        "operationId": "obtainAccessToken",
        "summary": "Obtain an Access Token",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST https://api.morning.co/idp/v1/oauth/token \\\n  -H \"Content-Type: application/json\" \\\n  --data @- <<EOF\n{\n  \"grant_type\": \"client_credentials\",\n  \"client_id\": \"$MORNING_CLIENT_ID\",\n  \"client_secret\": \"$MORNING_CLIENT_SECRET\"\n}\nEOF"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.morning.co/idp/v1/oauth/token', {\n  method: 'POST',\n  headers: { 'Content-Type': 'application/json' },\n  body: JSON.stringify({\n    grant_type: 'client_credentials',\n    client_id: process.env.MORNING_CLIENT_ID,\n    client_secret: process.env.MORNING_CLIENT_SECRET,\n  }),\n});\n\nconst { accessToken, expiresAt } = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.morning.co/idp/v1/oauth/token\",\n    json={\n        \"grant_type\": \"client_credentials\",\n        \"client_id\": os.environ[\"MORNING_CLIENT_ID\"],\n        \"client_secret\": os.environ[\"MORNING_CLIENT_SECRET\"],\n    },\n)\n\naccess_token = res.json()[\"accessToken\"]"
          }
        ],
        "security": [],
        "description": "This endpoint returns an access token (issued as a signed JWT) in the response body as `accessToken`.\n\n**NOTES:**\n- Please be advised that **the `accessToken` is valid for 1 hour.** Once a token becomes invalid, requests to protected endpoints will return a `401 Unauthorized` error, and you will need to request a new token.\n- The access token is scoped to the business associated with your API keys.\n\n* Error Handling - All error responses follow the OAuth 2.0 error format (RFC 6749):\n\n| Status | Error&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | Description |\n|:---|:---|:---|\n| 400 | `invalid_request` | Missing `grant_type` parameter |\n| 400 | `unsupported_grant_type` | `grant_type` is not `client_credentials` |\n| 400 | `invalid_grant` | API key privilege is expired, revoked, or pending |\n| 400 | `unauthorized_client` | No active subscription, or subscription does not include API access |\n| 401 | `invalid_client` | Missing or incorrect `client_id`/`client_secret`, or application/account is blocked |\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TokenRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Access token successfully generated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TokenResponse"
                },
                "example": {
                  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJtb3JuaW5nIiwiaWF0IjoxNzcxMzEzNzI3LCJleHAiOjE3NzEzMTczMjcsImVudiI6InByb2QiLCJzdWIiOiJhMWIyYzNkNC1lNWY2LTRhN2ItOGM5ZC0wZTFmMmEzYjRjNWQiLCJ0eXAiOiJhY2Nlc3NfdG9rZW4iLCJhY2NvdW50SWQiOiIwMDAwMDAwMC0wMDAwLTQwMDAtODAwMC0wMDAwMDAwMDAwMDEiLCJyZXNvdXJjZUlkIjoiMDAwMDAwMDAtMDAwMC00MDAwLTgwMDAtMDAwMDAwMDAwMDAyIiwiYXBwSWQiOiJidXNpbmVzcyIsImF1ZCI6ImJ1c2luZXNzOjAwMDAwMDAwLTAwMDAtNDAwMC04MDAwLTAwMDAwMDAwMDAwMiIsInJvbGUiOjUwLCJzY29wZXMiOiIifQ.dGhpcy1pcy1hLXNhbXBsZS1zaWduYXR1cmU",
                  "tokenType": "Bearer",
                  "expiresAt": 1771317327
                }
              }
            }
          },
          "400": {
            "description": "Bad request — invalid or missing parameters, expired/revoked privileges, or insufficient subscription",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OAuth2Error"
                },
                "examples": {
                  "invalid_request": {
                    "summary": "Missing grant_type parameter",
                    "value": {
                      "error": "invalid_request",
                      "error_description": "The request is missing a required parameter or is otherwise malformed"
                    }
                  },
                  "unsupported_grant_type": {
                    "summary": "Unsupported grant type",
                    "value": {
                      "error": "unsupported_grant_type",
                      "error_description": "The authorization grant type is not supported"
                    }
                  },
                  "invalid_grant": {
                    "summary": "Privilege expired, revoked, or pending",
                    "value": {
                      "error": "invalid_grant",
                      "error_description": "The provided authorization grant is invalid or expired"
                    }
                  },
                  "unauthorized_client": {
                    "summary": "No active subscription or missing API access",
                    "value": {
                      "error": "unauthorized_client",
                      "error_description": "The client is not authorized to use this grant type"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — client authentication failed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OAuth2Error"
                },
                "examples": {
                  "invalid_client": {
                    "summary": "Client authentication failed",
                    "description": "Missing or incorrect `client_id` / `client_secret`, or the application or account is blocked.",
                    "value": {
                      "error": "invalid_client",
                      "error_description": "Invalid client credentials"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/documents": {
      "post": {
        "tags": [
          "Documents"
        ],
        "operationId": "addDocument",
        "summary": "Add Document",
        "description": "Add a document to the current business.\n\nThe document will be generated based on the default business and document settings, and by any overriding request attributes received in this endpoint.\n\n**Notes:**\n- **VAT Configuration** — When declaring your `vatType`, you can define the general VAT type of the entire document, as well as the `vatType` for each individual income row.\n- **Document Linking** — Use `linkedDocumentIds` to state the related documents. For example, when creating a receipt, include the original invoice document ID in this array. This linkage enables the system to automatically mark the original invoice as closed.\n- **Payment Association** — The `linkedPaymentId` field allows you to define the payment ID that the document is relevant to. This can be attached only to invoice documents (type `305`).\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateDocumentRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Document created successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreateDocumentResponse"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/documents' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"description\": \"Just an order\",\n  \"remarks\": \"Some remarks\",\n  \"footer\": \"Texts in footer\",\n  \"emailContent\": \"Email content\",\n  \"type\": 305,\n  \"date\": \"2026-05-12\",\n  \"dueDate\": \"2026-05-31\",\n  \"lang\": \"he\",\n  \"currency\": \"ILS\",\n  \"vatType\": 0,\n  \"discount\": {\n    \"amount\": 1,\n    \"type\": \"sum\"\n  },\n  \"rounding\": false,\n  \"signed\": true,\n  \"attachment\": false,\n  \"paymentRequestData\": {\n    \"plugins\": [\n      {\n        \"id\": \"031e827a-c664-c1e4-d231-a80027271123\",\n        \"group\": 100,\n        \"type\": 12100\n      }\n    ],\n    \"maxPayments\": 1\n  },\n  \"client\": {\n    \"id\": \"7944827a-c664-11e4-8231-080027271114\",\n    \"name\": \"John Doe\",\n    \"emails\": [\n      \"email1@example.com\",\n      \"email2@example.com\"\n    ],\n    \"taxId\": \"0123456789\",\n    \"address\": \"1 Luria St\",\n    \"city\": \"Tel Aviv\",\n    \"zip\": \"1234567\",\n    \"country\": \"IL\",\n    \"phone\": \"+972-54-1234567\",\n    \"fax\": \"+972-54-1234567\",\n    \"mobile\": \"+972-54-1234567\",\n    \"add\": false,\n    \"self\": false\n  },\n  \"income\": [\n    {\n      \"catalogNum\": \"MXDFSDD\",\n      \"description\": \"Item description\",\n      \"quantity\": 1,\n      \"price\": 300,\n      \"currency\": \"ILS\",\n      \"currencyRate\": 1,\n      \"vatRate\": 0.18,\n      \"itemId\": \"8b338c95-095e-46d4-b2c6-331747508759\",\n      \"vatType\": 1\n    }\n  ],\n  \"payment\": [\n    {\n      \"date\": \"2026-05-21\",\n      \"type\": 3,\n      \"price\": 300,\n      \"currency\": \"ILS\",\n      \"currencyRate\": 1,\n      \"bankName\": \"My Bank\",\n      \"bankBranch\": \"198\",\n      \"bankAccount\": \"212435\",\n      \"chequeNum\": \"10002\",\n      \"accountId\": \"TFGFFGSYYE\",\n      \"transactionId\": \"TGBBBXNLKS75SKJS\",\n      \"appType\": 1,\n      \"subType\": 1,\n      \"cardType\": 2,\n      \"cardNum\": \"8765\",\n      \"dealType\": 1,\n      \"numPayments\": 1,\n      \"firstPayment\": 10\n    }\n  ],\n  \"linkedDocumentIds\": [\n    \"031e827a-c664-c1e4-d231-a80027271123\"\n  ],\n  \"linkedPaymentId\": \"031e827a-c664-c1e4-d231-a80027271123\",\n  \"linkType\": \"link\"\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"description\": \"Just an order\",\n    \"remarks\": \"Some remarks\",\n    \"footer\": \"Texts in footer\",\n    \"emailContent\": \"Email content\",\n    \"type\": 305,\n    \"date\": \"2026-05-12\",\n    \"dueDate\": \"2026-05-31\",\n    \"lang\": \"he\",\n    \"currency\": \"ILS\",\n    \"vatType\": 0,\n    \"discount\": {\n      \"amount\": 1,\n      \"type\": \"sum\"\n    },\n    \"rounding\": false,\n    \"signed\": true,\n    \"attachment\": false,\n    \"paymentRequestData\": {\n      \"plugins\": [\n        {\n          \"id\": \"031e827a-c664-c1e4-d231-a80027271123\",\n          \"group\": 100,\n          \"type\": 12100\n        }\n      ],\n      \"maxPayments\": 1\n    },\n    \"client\": {\n      \"id\": \"7944827a-c664-11e4-8231-080027271114\",\n      \"name\": \"John Doe\",\n      \"emails\": [\n        \"email1@example.com\",\n        \"email2@example.com\"\n      ],\n      \"taxId\": \"0123456789\",\n      \"address\": \"1 Luria St\",\n      \"city\": \"Tel Aviv\",\n      \"zip\": \"1234567\",\n      \"country\": \"IL\",\n      \"phone\": \"+972-54-1234567\",\n      \"fax\": \"+972-54-1234567\",\n      \"mobile\": \"+972-54-1234567\",\n      \"add\": false,\n      \"self\": false\n    },\n    \"income\": [\n      {\n        \"catalogNum\": \"MXDFSDD\",\n        \"description\": \"Item description\",\n        \"quantity\": 1,\n        \"price\": 300,\n        \"currency\": \"ILS\",\n        \"currencyRate\": 1,\n        \"vatRate\": 0.18,\n        \"itemId\": \"8b338c95-095e-46d4-b2c6-331747508759\",\n        \"vatType\": 1\n      }\n    ],\n    \"payment\": [\n      {\n        \"date\": \"2026-05-21\",\n        \"type\": 3,\n        \"price\": 300,\n        \"currency\": \"ILS\",\n        \"currencyRate\": 1,\n        \"bankName\": \"My Bank\",\n        \"bankBranch\": \"198\",\n        \"bankAccount\": \"212435\",\n        \"chequeNum\": \"10002\",\n        \"accountId\": \"TFGFFGSYYE\",\n        \"transactionId\": \"TGBBBXNLKS75SKJS\",\n        \"appType\": 1,\n        \"subType\": 1,\n        \"cardType\": 2,\n        \"cardNum\": \"8765\",\n        \"dealType\": 1,\n        \"numPayments\": 1,\n        \"firstPayment\": 10\n      }\n    ],\n    \"linkedDocumentIds\": [\n      \"031e827a-c664-c1e4-d231-a80027271123\"\n    ],\n    \"linkedPaymentId\": \"031e827a-c664-c1e4-d231-a80027271123\",\n    \"linkType\": \"link\"\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/documents\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n    json={\n        \"description\": \"Just an order\",\n        \"remarks\": \"Some remarks\",\n        \"footer\": \"Texts in footer\",\n        \"emailContent\": \"Email content\",\n        \"type\": 305,\n        \"date\": \"2026-05-12\",\n        \"dueDate\": \"2026-05-31\",\n        \"lang\": \"he\",\n        \"currency\": \"ILS\",\n        \"vatType\": 0,\n        \"discount\": {\n            \"amount\": 1,\n            \"type\": \"sum\",\n        },\n        \"rounding\": False,\n        \"signed\": True,\n        \"attachment\": False,\n        \"paymentRequestData\": {\n            \"plugins\": [\n                {\n                    \"id\": \"031e827a-c664-c1e4-d231-a80027271123\",\n                    \"group\": 100,\n                    \"type\": 12100,\n                },\n            ],\n            \"maxPayments\": 1,\n        },\n        \"client\": {\n            \"id\": \"7944827a-c664-11e4-8231-080027271114\",\n            \"name\": \"John Doe\",\n            \"emails\": [\n                \"email1@example.com\",\n                \"email2@example.com\",\n            ],\n            \"taxId\": \"0123456789\",\n            \"address\": \"1 Luria St\",\n            \"city\": \"Tel Aviv\",\n            \"zip\": \"1234567\",\n            \"country\": \"IL\",\n            \"phone\": \"+972-54-1234567\",\n            \"fax\": \"+972-54-1234567\",\n            \"mobile\": \"+972-54-1234567\",\n            \"add\": False,\n            \"self\": False,\n        },\n        \"income\": [\n            {\n                \"catalogNum\": \"MXDFSDD\",\n                \"description\": \"Item description\",\n                \"quantity\": 1,\n                \"price\": 300,\n                \"currency\": \"ILS\",\n                \"currencyRate\": 1,\n                \"vatRate\": 0.18,\n                \"itemId\": \"8b338c95-095e-46d4-b2c6-331747508759\",\n                \"vatType\": 1,\n            },\n        ],\n        \"payment\": [\n            {\n                \"date\": \"2026-05-21\",\n                \"type\": 3,\n                \"price\": 300,\n                \"currency\": \"ILS\",\n                \"currencyRate\": 1,\n                \"bankName\": \"My Bank\",\n                \"bankBranch\": \"198\",\n                \"bankAccount\": \"212435\",\n                \"chequeNum\": \"10002\",\n                \"accountId\": \"TFGFFGSYYE\",\n                \"transactionId\": \"TGBBBXNLKS75SKJS\",\n                \"appType\": 1,\n                \"subType\": 1,\n                \"cardType\": 2,\n                \"cardNum\": \"8765\",\n                \"dealType\": 1,\n                \"numPayments\": 1,\n                \"firstPayment\": 10,\n            },\n        ],\n        \"linkedDocumentIds\": [\n            \"031e827a-c664-c1e4-d231-a80027271123\",\n        ],\n        \"linkedPaymentId\": \"031e827a-c664-c1e4-d231-a80027271123\",\n        \"linkType\": \"link\",\n    },\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/search": {
      "post": {
        "tags": [
          "Documents"
        ],
        "operationId": "searchDocuments",
        "summary": "Search Documents",
        "description": "Search the documents of the current business using any combination of the filters in the request body. All filters are optional; omitting the body returns the most recent documents. Results are paginated.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "requestBody": {
          "required": false,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SearchDocumentsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Paginated list of documents matching the search",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchDocumentsResponse"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/documents/search' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"page\": 1,\n  \"pageSize\": 25,\n  \"number\": 12001,\n  \"type\": [\n    305\n  ],\n  \"status\": [\n    0\n  ],\n  \"paymentTypes\": [\n    3\n  ],\n  \"fromDate\": \"2016-01-01\",\n  \"toDate\": \"2016-01-31\",\n  \"clientId\": \"28fa4c1d-a29b-11e4-963c-18002725111e\",\n  \"clientName\": \"John\",\n  \"description\": \"Any text\",\n  \"download\": true,\n  \"sort\": \"documentDate\"\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/search', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"page\": 1,\n    \"pageSize\": 25,\n    \"number\": 12001,\n    \"type\": [\n      305\n    ],\n    \"status\": [\n      0\n    ],\n    \"paymentTypes\": [\n      3\n    ],\n    \"fromDate\": \"2016-01-01\",\n    \"toDate\": \"2016-01-31\",\n    \"clientId\": \"28fa4c1d-a29b-11e4-963c-18002725111e\",\n    \"clientName\": \"John\",\n    \"description\": \"Any text\",\n    \"download\": true,\n    \"sort\": \"documentDate\"\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/documents/search\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n    json={\n        \"page\": 1,\n        \"pageSize\": 25,\n        \"number\": 12001,\n        \"type\": [\n            305,\n        ],\n        \"status\": [\n            0,\n        ],\n        \"paymentTypes\": [\n            3,\n        ],\n        \"fromDate\": \"2016-01-01\",\n        \"toDate\": \"2016-01-31\",\n        \"clientId\": \"28fa4c1d-a29b-11e4-963c-18002725111e\",\n        \"clientName\": \"John\",\n        \"description\": \"Any text\",\n        \"download\": True,\n        \"sort\": \"documentDate\",\n    },\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/payments/search": {
      "post": {
        "tags": [
          "Documents"
        ],
        "operationId": "searchDocumentPayments",
        "summary": "Search Payments in Documents",
        "description": "Search the payments recorded across the current business's documents, using any combination of the filters in the request body. Each result is the document that contains the matching payment(s), with the payments in its `payment` array. All filters are optional. Results are paginated.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "requestBody": {
          "required": false,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SearchDocumentPaymentsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Paginated list of documents whose payments matched the search",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchDocumentPaymentsResponse"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/documents/payments/search' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"page\": 1,\n  \"pageSize\": 25,\n  \"type\": [\n    320\n  ],\n  \"paymentTypes\": [\n    3\n  ],\n  \"fromDate\": \"2016-01-01\",\n  \"toDate\": \"2016-01-31\",\n  \"paymentId\": \"427547\",\n  \"sort\": \"date:desc\"\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/payments/search', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"page\": 1,\n    \"pageSize\": 25,\n    \"type\": [\n      320\n    ],\n    \"paymentTypes\": [\n      3\n    ],\n    \"fromDate\": \"2016-01-01\",\n    \"toDate\": \"2016-01-31\",\n    \"paymentId\": \"427547\",\n    \"sort\": \"date:desc\"\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/documents/payments/search\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n    json={\n        \"page\": 1,\n        \"pageSize\": 25,\n        \"type\": [\n            320,\n        ],\n        \"paymentTypes\": [\n            3,\n        ],\n        \"fromDate\": \"2016-01-01\",\n        \"toDate\": \"2016-01-31\",\n        \"paymentId\": \"427547\",\n        \"sort\": \"date:desc\",\n    },\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/preview": {
      "post": {
        "tags": [
          "Documents"
        ],
        "operationId": "addPreviewDocument",
        "summary": "Get a Preview Document",
        "description": "Previews a document before the actual generation.\n\nThis endpoint returns a file in Base64 format (you can read more about Base64 [here](https://en.wikipedia.org/wiki/Base64)).\n\nIf you would like to view the file on your website there are built-in plugins to display PDF, other than that - if you would like to have a consistent user experience through all browsers (including mobile browsers) we would suggest using [PDF.js](https://mozilla.github.io/pdf.js/) (an amazing Mozilla library), which can view PDF from Base64 format.\n\nIf you would like to add a download button for the preview in your website, here is a simple script to do that (do not forget to switch the {base64string} with the Base64 file that you received from the result):\n\n```\n<a download=\"preview-document.pdf\" href=\"data:application/pdf;base64,{base64string}\">Download Preview</a>\n```\n\n**NOTE:** If you would like just to check how a preview file looks, use the string that was given in the `file` property from our server response, put it in the following website: <https://www.freeformatter.com/base64-encoder.html> and click `DECODE AND DOWNLOAD`. This will download the base64 string as a PDF file into your computer so that you can view it.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateDocumentRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Preview document generated successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PreviewDocumentResponse"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/documents/preview' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"description\": \"Just an order\",\n  \"remarks\": \"Some remarks\",\n  \"footer\": \"Texts in footer\",\n  \"emailContent\": \"Email content\",\n  \"type\": 305,\n  \"date\": \"2026-05-12\",\n  \"dueDate\": \"2026-05-31\",\n  \"lang\": \"he\",\n  \"currency\": \"ILS\",\n  \"vatType\": 0,\n  \"discount\": {\n    \"amount\": 1,\n    \"type\": \"sum\"\n  },\n  \"rounding\": false,\n  \"signed\": true,\n  \"attachment\": false,\n  \"paymentRequestData\": {\n    \"plugins\": [\n      {\n        \"id\": \"031e827a-c664-c1e4-d231-a80027271123\",\n        \"group\": 100,\n        \"type\": 12100\n      }\n    ],\n    \"maxPayments\": 1\n  },\n  \"client\": {\n    \"id\": \"7944827a-c664-11e4-8231-080027271114\",\n    \"name\": \"John Doe\",\n    \"emails\": [\n      \"email1@example.com\",\n      \"email2@example.com\"\n    ],\n    \"taxId\": \"0123456789\",\n    \"address\": \"1 Luria St\",\n    \"city\": \"Tel Aviv\",\n    \"zip\": \"1234567\",\n    \"country\": \"IL\",\n    \"phone\": \"+972-54-1234567\",\n    \"fax\": \"+972-54-1234567\",\n    \"mobile\": \"+972-54-1234567\",\n    \"add\": false,\n    \"self\": false\n  },\n  \"income\": [\n    {\n      \"catalogNum\": \"MXDFSDD\",\n      \"description\": \"Item description\",\n      \"quantity\": 1,\n      \"price\": 300,\n      \"currency\": \"ILS\",\n      \"currencyRate\": 1,\n      \"vatRate\": 0.18,\n      \"itemId\": \"8b338c95-095e-46d4-b2c6-331747508759\",\n      \"vatType\": 1\n    }\n  ],\n  \"payment\": [\n    {\n      \"date\": \"2026-05-21\",\n      \"type\": 3,\n      \"price\": 300,\n      \"currency\": \"ILS\",\n      \"currencyRate\": 1,\n      \"bankName\": \"My Bank\",\n      \"bankBranch\": \"198\",\n      \"bankAccount\": \"212435\",\n      \"chequeNum\": \"10002\",\n      \"accountId\": \"TFGFFGSYYE\",\n      \"transactionId\": \"TGBBBXNLKS75SKJS\",\n      \"appType\": 1,\n      \"subType\": 1,\n      \"cardType\": 2,\n      \"cardNum\": \"8765\",\n      \"dealType\": 1,\n      \"numPayments\": 1,\n      \"firstPayment\": 10\n    }\n  ],\n  \"linkedDocumentIds\": [\n    \"031e827a-c664-c1e4-d231-a80027271123\"\n  ],\n  \"linkedPaymentId\": \"031e827a-c664-c1e4-d231-a80027271123\",\n  \"linkType\": \"link\"\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/preview', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"description\": \"Just an order\",\n    \"remarks\": \"Some remarks\",\n    \"footer\": \"Texts in footer\",\n    \"emailContent\": \"Email content\",\n    \"type\": 305,\n    \"date\": \"2026-05-12\",\n    \"dueDate\": \"2026-05-31\",\n    \"lang\": \"he\",\n    \"currency\": \"ILS\",\n    \"vatType\": 0,\n    \"discount\": {\n      \"amount\": 1,\n      \"type\": \"sum\"\n    },\n    \"rounding\": false,\n    \"signed\": true,\n    \"attachment\": false,\n    \"paymentRequestData\": {\n      \"plugins\": [\n        {\n          \"id\": \"031e827a-c664-c1e4-d231-a80027271123\",\n          \"group\": 100,\n          \"type\": 12100\n        }\n      ],\n      \"maxPayments\": 1\n    },\n    \"client\": {\n      \"id\": \"7944827a-c664-11e4-8231-080027271114\",\n      \"name\": \"John Doe\",\n      \"emails\": [\n        \"email1@example.com\",\n        \"email2@example.com\"\n      ],\n      \"taxId\": \"0123456789\",\n      \"address\": \"1 Luria St\",\n      \"city\": \"Tel Aviv\",\n      \"zip\": \"1234567\",\n      \"country\": \"IL\",\n      \"phone\": \"+972-54-1234567\",\n      \"fax\": \"+972-54-1234567\",\n      \"mobile\": \"+972-54-1234567\",\n      \"add\": false,\n      \"self\": false\n    },\n    \"income\": [\n      {\n        \"catalogNum\": \"MXDFSDD\",\n        \"description\": \"Item description\",\n        \"quantity\": 1,\n        \"price\": 300,\n        \"currency\": \"ILS\",\n        \"currencyRate\": 1,\n        \"vatRate\": 0.18,\n        \"itemId\": \"8b338c95-095e-46d4-b2c6-331747508759\",\n        \"vatType\": 1\n      }\n    ],\n    \"payment\": [\n      {\n        \"date\": \"2026-05-21\",\n        \"type\": 3,\n        \"price\": 300,\n        \"currency\": \"ILS\",\n        \"currencyRate\": 1,\n        \"bankName\": \"My Bank\",\n        \"bankBranch\": \"198\",\n        \"bankAccount\": \"212435\",\n        \"chequeNum\": \"10002\",\n        \"accountId\": \"TFGFFGSYYE\",\n        \"transactionId\": \"TGBBBXNLKS75SKJS\",\n        \"appType\": 1,\n        \"subType\": 1,\n        \"cardType\": 2,\n        \"cardNum\": \"8765\",\n        \"dealType\": 1,\n        \"numPayments\": 1,\n        \"firstPayment\": 10\n      }\n    ],\n    \"linkedDocumentIds\": [\n      \"031e827a-c664-c1e4-d231-a80027271123\"\n    ],\n    \"linkedPaymentId\": \"031e827a-c664-c1e4-d231-a80027271123\",\n    \"linkType\": \"link\"\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/documents/preview\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n    json={\n        \"description\": \"Just an order\",\n        \"remarks\": \"Some remarks\",\n        \"footer\": \"Texts in footer\",\n        \"emailContent\": \"Email content\",\n        \"type\": 305,\n        \"date\": \"2026-05-12\",\n        \"dueDate\": \"2026-05-31\",\n        \"lang\": \"he\",\n        \"currency\": \"ILS\",\n        \"vatType\": 0,\n        \"discount\": {\n            \"amount\": 1,\n            \"type\": \"sum\",\n        },\n        \"rounding\": False,\n        \"signed\": True,\n        \"attachment\": False,\n        \"paymentRequestData\": {\n            \"plugins\": [\n                {\n                    \"id\": \"031e827a-c664-c1e4-d231-a80027271123\",\n                    \"group\": 100,\n                    \"type\": 12100,\n                },\n            ],\n            \"maxPayments\": 1,\n        },\n        \"client\": {\n            \"id\": \"7944827a-c664-11e4-8231-080027271114\",\n            \"name\": \"John Doe\",\n            \"emails\": [\n                \"email1@example.com\",\n                \"email2@example.com\",\n            ],\n            \"taxId\": \"0123456789\",\n            \"address\": \"1 Luria St\",\n            \"city\": \"Tel Aviv\",\n            \"zip\": \"1234567\",\n            \"country\": \"IL\",\n            \"phone\": \"+972-54-1234567\",\n            \"fax\": \"+972-54-1234567\",\n            \"mobile\": \"+972-54-1234567\",\n            \"add\": False,\n            \"self\": False,\n        },\n        \"income\": [\n            {\n                \"catalogNum\": \"MXDFSDD\",\n                \"description\": \"Item description\",\n                \"quantity\": 1,\n                \"price\": 300,\n                \"currency\": \"ILS\",\n                \"currencyRate\": 1,\n                \"vatRate\": 0.18,\n                \"itemId\": \"8b338c95-095e-46d4-b2c6-331747508759\",\n                \"vatType\": 1,\n            },\n        ],\n        \"payment\": [\n            {\n                \"date\": \"2026-05-21\",\n                \"type\": 3,\n                \"price\": 300,\n                \"currency\": \"ILS\",\n                \"currencyRate\": 1,\n                \"bankName\": \"My Bank\",\n                \"bankBranch\": \"198\",\n                \"bankAccount\": \"212435\",\n                \"chequeNum\": \"10002\",\n                \"accountId\": \"TFGFFGSYYE\",\n                \"transactionId\": \"TGBBBXNLKS75SKJS\",\n                \"appType\": 1,\n                \"subType\": 1,\n                \"cardType\": 2,\n                \"cardNum\": \"8765\",\n                \"dealType\": 1,\n                \"numPayments\": 1,\n                \"firstPayment\": 10,\n            },\n        ],\n        \"linkedDocumentIds\": [\n            \"031e827a-c664-c1e4-d231-a80027271123\",\n        ],\n        \"linkedPaymentId\": \"031e827a-c664-c1e4-d231-a80027271123\",\n        \"linkType\": \"link\",\n    },\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/info": {
      "get": {
        "tags": [
          "Documents"
        ],
        "operationId": "getDocumentInformation",
        "summary": "Get Document Information",
        "description": "Retrieve metadata about a specific document type — the next document number to assign, supported features (income rows, payment rows, self-invoicing, linked-document flows), default business settings that apply when creating documents of this type, and the payment plugins active on this business.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "type",
            "in": "query",
            "required": true,
            "description": "Document type to retrieve information for",
            "schema": {
              "$ref": "#/components/schemas/DocumentType"
            },
            "example": 305
          }
        ],
        "responses": {
          "200": {
            "description": "Document type information retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocumentInfo"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/documents/info?type=305' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/info?type=305', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/documents/info?type=305\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/templates": {
      "get": {
        "tags": [
          "Documents"
        ],
        "operationId": "getDocumentTemplates",
        "summary": "Get Document Templates",
        "description": "Retrieve information about the available document templates and their corresponding colour skins. Templates are global to the system; every business sees the same list.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "responses": {
          "200": {
            "description": "List of available document templates",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Template"
                  }
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/documents/templates' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/templates', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/documents/templates\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/types": {
      "get": {
        "tags": [
          "Documents"
        ],
        "operationId": "getDocumentTypes",
        "summary": "Get Document Types",
        "description": "Retrieve the available document types as a list of `{ id, name }` pairs. Names are localised by the `lang` query parameter.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "lang",
            "in": "query",
            "required": false,
            "description": "Content language for the localised `name` field. Defaults to `he` (Hebrew) if omitted or unsupported.",
            "schema": {
              "$ref": "#/components/schemas/Lang"
            },
            "example": "he"
          }
        ],
        "responses": {
          "200": {
            "description": "List of available document types with localised names",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/DocumentTypeMapItem"
                  }
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/documents/types' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/types', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/documents/types\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/statuses": {
      "get": {
        "tags": [
          "Documents"
        ],
        "operationId": "getDocumentStatuses",
        "summary": "Get Document Statuses",
        "description": "Retrieve the available document statuses as a list of `{ id, name }` pairs. Names are localised by the `lang` query parameter.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "lang",
            "in": "query",
            "required": false,
            "description": "Content language for the localised `name` field. Defaults to `he` (Hebrew) if omitted or unsupported.",
            "schema": {
              "$ref": "#/components/schemas/Lang"
            },
            "example": "he"
          }
        ],
        "responses": {
          "200": {
            "description": "List of available document statuses with localised names",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/DocumentStatusMapItem"
                  }
                },
                "example": [
                  {
                    "id": 0,
                    "name": "מסמך פתוח"
                  },
                  {
                    "id": 1,
                    "name": "מסמך סגור"
                  },
                  {
                    "id": 2,
                    "name": "מסמך סומן ידנית כסגור"
                  },
                  {
                    "id": 3,
                    "name": "מסמך מבטל"
                  },
                  {
                    "id": 4,
                    "name": "מסמך שבוטל"
                  }
                ]
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/documents/statuses' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/statuses', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/documents/statuses\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/{id}": {
      "get": {
        "tags": [
          "Documents"
        ],
        "operationId": "getDocument",
        "summary": "Get Document",
        "description": "Retrieve a single document by its ID.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "57ae2ff9-0c24-43e8-b39c-a5bdcc05573d"
          }
        ],
        "responses": {
          "200": {
            "description": "Document retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Document"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/{id}/linked": {
      "get": {
        "tags": [
          "Documents"
        ],
        "operationId": "getLinkedDocuments",
        "summary": "Get Linked Documents",
        "description": "Get information about linked / related documents to a specific document.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "57ae2ff9-0c24-43e8-b39c-a5bdcc05573d"
          }
        ],
        "responses": {
          "200": {
            "description": "Linked documents retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/LinkedDocument"
                  }
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/linked' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/linked', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/linked\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/{id}/download/links": {
      "get": {
        "tags": [
          "Documents"
        ],
        "operationId": "getDocumentDownloadLinks",
        "summary": "Get Document Download Links",
        "description": "Retrieve download links for a given document. The response includes the original copy plus any localised copies; the `en` link is returned only when an English copy exists.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "57ae2ff9-0c24-43e8-b39c-a5bdcc05573d"
          }
        ],
        "responses": {
          "200": {
            "description": "Download links retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocumentDownloadLinks"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/download/links' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/download/links', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/download/links\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/{id}/close": {
      "post": {
        "tags": [
          "Documents"
        ],
        "operationId": "closeDocument",
        "summary": "Close Document",
        "description": "Manually close a document. The status will be set to `Manually closed`.\n\n**Note:** Only documents currently in `Open` status can be closed via this endpoint. Attempting to close a document in any other status will return a validation error.\n\nThe response is the updated document.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "57ae2ff9-0c24-43e8-b39c-a5bdcc05573d"
          }
        ],
        "responses": {
          "200": {
            "description": "Document closed successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UpdatedDocument"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/close' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/close', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/close\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/documents/{id}/open": {
      "post": {
        "tags": [
          "Documents"
        ],
        "operationId": "openDocument",
        "summary": "Open Document",
        "description": "Re-open a document that was previously manually closed. The status will be set to `Open`.\n\n**Note:** Only documents currently in `Manually closed` status can be re-opened via this endpoint. Documents in `Closed` status (closed automatically by the system) or any other status cannot be re-opened and will return a validation error.\n\nThe response is the updated document.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "57ae2ff9-0c24-43e8-b39c-a5bdcc05573d"
          }
        ],
        "responses": {
          "200": {
            "description": "Document re-opened successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UpdatedDocument"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/open' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/open', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/documents/57ae2ff9-0c24-43e8-b39c-a5bdcc05573d/open\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/items": {
      "post": {
        "tags": [
          "Items"
        ],
        "operationId": "addItem",
        "summary": "Add Item",
        "description": "Create a new catalog item for the current business.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ItemRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Item created successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Item"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/items' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"name\": \"גבינייה מפוארת\",\n  \"description\": \"מאפה גבינייה אישי ומפואר\",\n  \"price\": 5,\n  \"currency\": \"ILS\"\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/items', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"name\": \"גבינייה מפוארת\",\n    \"description\": \"מאפה גבינייה אישי ומפואר\",\n    \"price\": 5,\n    \"currency\": \"ILS\"\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/items\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n    json={\n        \"name\": \"גבינייה מפוארת\",\n        \"description\": \"מאפה גבינייה אישי ומפואר\",\n        \"price\": 5,\n        \"currency\": \"ILS\",\n    },\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/items/{id}": {
      "get": {
        "tags": [
          "Items"
        ],
        "operationId": "getItem",
        "summary": "Get Item",
        "description": "Retrieve a single item by its ID.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Item ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "ff27e4fe-29d9-4f6f-b6a0-f43cdf635702"
          }
        ],
        "responses": {
          "200": {
            "description": "Item retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Item"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      },
      "put": {
        "tags": [
          "Items"
        ],
        "operationId": "updateItem",
        "summary": "Update Item",
        "description": "Update an existing item by its ID. This is a partial update: include only the fields you want to change — any field you omit keeps its current value.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Item ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "ff27e4fe-29d9-4f6f-b6a0-f43cdf635702"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateItemRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Item updated successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Item"
                },
                "example": {
                  "id": "ff27e4fe-29d9-4f6f-b6a0-f43cdf635702",
                  "name": "גבינייה מפוארת",
                  "description": "מאפה גבינה ודובדני אמרנה אישי ומפואר",
                  "price": 4,
                  "currency": "ILS",
                  "creationDate": 1780836793,
                  "lastUpdateDate": 1780839374
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X PUT 'https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"name\": \"גבינייה מפוארת\",\n  \"description\": \"מאפה גבינה ודובדני אמרנה אישי ומפואר\",\n  \"price\": 4,\n  \"currency\": \"ILS\"\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702', {\n  method: 'PUT',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"name\": \"גבינייה מפוארת\",\n    \"description\": \"מאפה גבינה ודובדני אמרנה אישי ומפואר\",\n    \"price\": 4,\n    \"currency\": \"ILS\"\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.put(\n    \"https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n    json={\n        \"name\": \"גבינייה מפוארת\",\n        \"description\": \"מאפה גבינה ודובדני אמרנה אישי ומפואר\",\n        \"price\": 4,\n        \"currency\": \"ILS\",\n    },\n)\n\ndata = res.json()"
          }
        ]
      },
      "delete": {
        "tags": [
          "Items"
        ],
        "operationId": "deleteItem",
        "summary": "Delete Item",
        "description": "Delete an item by its ID. The response body is an empty object.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Item ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "ff27e4fe-29d9-4f6f-b6a0-f43cdf635702"
          }
        ],
        "responses": {
          "200": {
            "description": "Item deleted successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {}
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X DELETE 'https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702', {\n  method: 'DELETE',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.delete(\n    \"https://api.greeninvoice.co.il/api/v1/items/ff27e4fe-29d9-4f6f-b6a0-f43cdf635702\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/items/search": {
      "post": {
        "tags": [
          "Items"
        ],
        "operationId": "searchItems",
        "summary": "Search Items",
        "description": "Search the catalog items of the current business using any combination of the filters in the request body. All filters are optional; omitting the body returns the most recent items. Results are paginated.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "requestBody": {
          "required": false,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SearchItemsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Paginated list of items matching the search",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchItemsResponse"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/items/search' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"page\": 1,\n  \"pageSize\": 25,\n  \"name\": \"גבינייה מפוארת\",\n  \"description\": \"מאפה גבינה\",\n  \"currency\": \"ILS\"\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/items/search', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"page\": 1,\n    \"pageSize\": 25,\n    \"name\": \"גבינייה מפוארת\",\n    \"description\": \"מאפה גבינה\",\n    \"currency\": \"ILS\"\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/items/search\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n    json={\n        \"page\": 1,\n        \"pageSize\": 25,\n        \"name\": \"גבינייה מפוארת\",\n        \"description\": \"מאפה גבינה\",\n        \"currency\": \"ILS\",\n    },\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/clients": {
      "post": {
        "tags": [
          "Clients"
        ],
        "operationId": "addClient",
        "summary": "Add Client",
        "description": "Create a new client for the current business.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ClientRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Client created successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Client"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST 'https://api.greeninvoice.co.il/api/v1/clients' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"name\": \"יעקב יעקבי\",\n  \"active\": true,\n  \"send\": true,\n  \"department\": \"מחלקת כספים\",\n  \"taxId\": \"999152580\",\n  \"accountingKey\": \"b6230777\",\n  \"paymentTerms\": 0,\n  \"bankName\": \"12\",\n  \"bankBranch\": \"450\",\n  \"bankAccount\": \"1111\",\n  \"address\": \"הרצל 5\",\n  \"city\": \"תל אביב\",\n  \"zip\": \"5555\",\n  \"country\": \"IL\",\n  \"category\": 4,\n  \"subCategory\": 406,\n  \"phone\": \"0505555555\",\n  \"fax\": \"033333333\",\n  \"mobile\": \"033333333\",\n  \"remarks\": \"לקוח קבוע\",\n  \"contactPerson\": \"יעקב\",\n  \"emails\": [\n    \"test@test-yakov.com\"\n  ],\n  \"labels\": [\n    \"3777a6ef-fac3-4b2e-a296-238d5dcd6450\"\n  ],\n  \"balance\": 0\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/clients', {\n  method: 'POST',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"name\": \"יעקב יעקבי\",\n    \"active\": true,\n    \"send\": true,\n    \"department\": \"מחלקת כספים\",\n    \"taxId\": \"999152580\",\n    \"accountingKey\": \"b6230777\",\n    \"paymentTerms\": 0,\n    \"bankName\": \"12\",\n    \"bankBranch\": \"450\",\n    \"bankAccount\": \"1111\",\n    \"address\": \"הרצל 5\",\n    \"city\": \"תל אביב\",\n    \"zip\": \"5555\",\n    \"country\": \"IL\",\n    \"category\": 4,\n    \"subCategory\": 406,\n    \"phone\": \"0505555555\",\n    \"fax\": \"033333333\",\n    \"mobile\": \"033333333\",\n    \"remarks\": \"לקוח קבוע\",\n    \"contactPerson\": \"יעקב\",\n    \"emails\": [\n      \"test@test-yakov.com\"\n    ],\n    \"labels\": [\n      \"3777a6ef-fac3-4b2e-a296-238d5dcd6450\"\n    ],\n    \"balance\": 0\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.post(\n    \"https://api.greeninvoice.co.il/api/v1/clients\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n    json={\n        \"name\": \"יעקב יעקבי\",\n        \"active\": True,\n        \"send\": True,\n        \"department\": \"מחלקת כספים\",\n        \"taxId\": \"999152580\",\n        \"accountingKey\": \"b6230777\",\n        \"paymentTerms\": 0,\n        \"bankName\": \"12\",\n        \"bankBranch\": \"450\",\n        \"bankAccount\": \"1111\",\n        \"address\": \"הרצל 5\",\n        \"city\": \"תל אביב\",\n        \"zip\": \"5555\",\n        \"country\": \"IL\",\n        \"category\": 4,\n        \"subCategory\": 406,\n        \"phone\": \"0505555555\",\n        \"fax\": \"033333333\",\n        \"mobile\": \"033333333\",\n        \"remarks\": \"לקוח קבוע\",\n        \"contactPerson\": \"יעקב\",\n        \"emails\": [\n            \"test@test-yakov.com\",\n        ],\n        \"labels\": [\n            \"3777a6ef-fac3-4b2e-a296-238d5dcd6450\",\n        ],\n        \"balance\": 0,\n    },\n)\n\ndata = res.json()"
          }
        ]
      }
    },
    "/clients/{id}": {
      "get": {
        "tags": [
          "Clients"
        ],
        "operationId": "getClient",
        "summary": "Get Client",
        "description": "Retrieve a single client by its ID.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Client ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "42aa171f-d031-4f3f-bec4-ff60c04eeafc"
          }
        ],
        "responses": {
          "200": {
            "description": "Client retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Client"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl 'https://api.greeninvoice.co.il/api/v1/clients/42aa171f-d031-4f3f-bec4-ff60c04eeafc' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\""
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/clients/42aa171f-d031-4f3f-bec4-ff60c04eeafc', {\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n  },\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import os\nimport requests\n\nres = requests.get(\n    \"https://api.greeninvoice.co.il/api/v1/clients/42aa171f-d031-4f3f-bec4-ff60c04eeafc\",\n    headers={\"Authorization\": f\"Bearer {os.environ['MORNING_ACCESS_TOKEN']}\"},\n)\n\ndata = res.json()"
          }
        ]
      },
      "put": {
        "tags": [
          "Clients"
        ],
        "operationId": "updateClient",
        "summary": "Update Client",
        "description": "Update an existing client by its ID. Only the fields you send are applied.\n\n**Request headers**\n\n| Header | Value | Required |\n|--------|-------|----------|\n| `Content-Type` | `application/json` | Yes |\n| `Authorization` | `Bearer <accessToken>` | Yes |",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Client ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "42aa171f-d031-4f3f-bec4-ff60c04eeafc"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateClientRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Client updated successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Client"
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X PUT 'https://api.greeninvoice.co.il/api/v1/clients/42aa171f-d031-4f3f-bec4-ff60c04eeafc' \\\n  -H \"Authorization: Bearer $MORNING_ACCESS_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n  \"name\": \"יעקב יעקבי\",\n  \"active\": true,\n  \"send\": true,\n  \"department\": \"מחלקת כספים\",\n  \"taxId\": \"999152580\",\n  \"accountingKey\": \"b6230777\",\n  \"paymentTerms\": 0,\n  \"bankName\": \"12\",\n  \"bankBranch\": \"450\",\n  \"bankAccount\": \"1111\",\n  \"address\": \"הרצל 5\",\n  \"city\": \"ראשון לציון\",\n  \"zip\": \"4444\",\n  \"country\": \"IL\",\n  \"category\": 4,\n  \"subCategory\": 406,\n  \"phone\": \"0505555555\",\n  \"fax\": \"033333333\",\n  \"mobile\": \"033333333\",\n  \"remarks\": \"לקוח קבוע\",\n  \"contactPerson\": \"יעקב\",\n  \"emails\": [\n    \"test@test-yakov.com\"\n  ],\n  \"labels\": [\n    \"3777a6ef-fac3-4b2e-a296-238d5dcd6450\"\n  ]\n}'"
          },
          {
            "lang": "JavaScript",
            "label": "Node.js",
            "source": "const res = await fetch('https://api.greeninvoice.co.il/api/v1/clients/42aa171f-d031-4f3f-bec4-ff60c04eeafc', {\n  method: 'PUT',\n  headers: {\n    Authorization: `Bearer ${process.env.MORNING_ACCESS_TOKEN}`,\n    'Content-Type': 'application/json',\n  },\n  body: JSON.stringify({\n    \"name\": \"יעקב יעקבי\",\n    \"active\": true,\n    \"send\": true,\n    \"department\": \"מחלקת כספים\",\n    \"taxId\": \"999152580\",\n    \"accountingKey\": \"b6230777\",\n    \"paymentTerms\": 0,\n    \"bankName\": \"12\",\n    \"bankBranch\": \"450\",\n    \"bankAccount\": \"1111\",\n    \"address\": \"הרצל 5\",\n    \"city\": \"ראשון לציון\",\n    \"zip\": \"4444\",\n    \"country\": \"IL\",\n    \"category\": 4,\n    \"subCategory\": 406,\n    \"phone\": \"0505555555\",\n    \"fax\": \"033333333\",\n    \"mobile\": \"033333333\",\n    \"remarks\": \"לקוח קבוע\",\n    \"contactPerson\": \"יעקב\",\n    \"emails\": [\n      \"test@test-yakov.com\"\n    ],\n    \"labels\": [\n      \"3777a6ef-fac3-4b2e-a296-238d5dcd6450\"\n    ]\n  }),\n});\n\nconst data = await res.json();"
          },
          {
            "lang": "Python",
            "label": "Python",
[...]
